<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>38.30</title>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import style bootstrap cho datatable -->
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.13.5/css/dataTables.bootstrap4.min.css"
    />
    <script src="https://cdn.datatables.net/1.13.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.5/js/dataTables.bootstrap4.min.js"></script>
    <script>
      $("#user-table").on("click", "tr", function () {
        var vIndexRow = $(this).index("tr");
        console.log(vIndexRow);
        console.log($(this).children("td").first().text());
      });

      $("#add-new-row").on("click", onBtnAddNewRowClick);

      function onBtnAddNewRowClick() {
        var vUserTable = $("#user-table");
        var bNewRow = $("<tr/>").appendTo(vUserTable);
        $("<td/>", {
          html: "namtt",
        }).appendTo(bNewRow);
        $("<td/>", {
          html: "Trần Trọng",
        }).appendTo(bNewRow);
        $("<td/>", {
          html: "Nam",
        }).appendTo(bNewRow);
        $("<td/>", {
          html: "namtt@gmail.com",
        }).appendTo(bNewRow);
        $("<td/>", {
          html: 22,
        }).appendTo(bNewRow);
      }
    </script>
  </head>
  <body>
    <div class="container">
      <h2 style="text-align: center">Employee List</h2>
      <table
        id="user-table"
        class="table table-bordered table-striped table-hover"
      >
        <thead>
          <tr>
            <th>UserName</th>
            <th>FirstName</th>
            <th>LastName</th>
            <th>Email</th>
            <th>Age</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Vivian Harrell</td>
            <td>Financial Controller</td>
            <td>San Francisco</td>
            <td>62</td>

            <td>$452,500</td>
          </tr>
          <tr>
            <td>Timothy Mooney</td>
            <td>Office Manager</td>
            <td>London</td>
            <td>37</td>
            
            <td>$136,200</td>
          </tr>
          <tr>
            <td>Jackson Bradshaw</td>
            <td>Director</td>
            <td>New York</td>
            <td>65</td>
          
            <td>$645,750</td>
          </tr>
          <tr>
            <td>Olivia Liang</td>
            <td>Support Engineer</td>
            <td>Singapore</td>
            <td>64</td>
           
            <td>$234,500</td>
          </tr>
          <tr>
            <td>Bruno Nash</td>
            <td>Software Engineer</td>
            <td>London</td>
            <td>38</td>
         
            <td>$163,500</td>
          </tr>
        </tbody>
      </table>
      <button
        id="add-new-row"
        class="btn btn-success"
        onclick="onBtnAddNewRowClick()"
      >
        Thêm mới
      </button>
    </div>
  </body>
</html>
